ECOFIND(1)

NAME
ecofind - searching for taxonomic and rank and taxonomy id for given regular expression patterns

DESCRIPTION
ecoPCR is an electronic PCR software developed by LECA and Helix-Project. It helps to estimate Barcode primers quality.

This program belongs to the exoPCR package.

SYNOPSIS
ecofind [options] <patterns>

OPTIONS

-a : [A]ll enable the search on all alternative names and not only scientific names.

-d : [D]atabase containing the taxonomy.
    To match the expected format, the database has to be formatted first by the ecoPCRFormat.py program located in the tools directory. Write the database radical without any extension.

-h : [H]elp - print <this> help

-l : [L]ist all taxonomic rank available for -r option

-P : [P]ath : add a column containing the full path for each displayed taxon

-p : [P]arents : specifying this option displays all parental tree's information for the given taxid.

-r : [R]estrict to given taxonomic rank

-s : [S]ons: specifying this option displays all subtree's information for the given taxid.

-P : Display taxonomic [P]ath as supplementary column in output

arguments:
    <taxon> name pattern bearing regular expressions

SEE ALSO
http://www.grenoble.prabi.fr/trac/ecoPCR/